package com.ruoyi.scheduledTask;

import com.ruoyi.domain.ModelTestTask;
import com.ruoyi.mapper.ModelTestTaskMapper;
import com.ruoyi.service.TestRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.stereotype.Component;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.*;


@Component
@EnableAsync
public class ScheduledTask implements Runnable{

    @Autowired
    private TestRecordsService testRecordsService;

    @Autowired
    private ModelTestTaskMapper modelTestTaskMapper;


    @Scheduled(fixedDelay = 5000)
    @Override
    public void run() {

        List<ModelTestTask> modelList = modelTestTaskMapper.findByStatus();

        for (ModelTestTask testTask : modelList) {
            if (testTask.getTestSchemeId() != null) {
                testRecordsService.sendPost(testTask.getTestSchemeId(),testTask.getId());
            }
        }

    }
}
