package com.ruoyi.web.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.domain.TaskFileRelation;
import com.ruoyi.domain.TaskSampleRelation;
import com.ruoyi.domain.TaskUserRelation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel(value = "TaskCreateRequest", description = "创建总任务")
@Data
public class TaskCreateRequest {

    @ApiModelProperty("小组成员")
    private List<TaskUserRelation> auditors;

    /**
     * 标准id
     * 根据哪个标准新建的审查任务
     */
    @ApiModelProperty("标准id(检验依据)")
    private Long standardId;

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("保密等级")
    private String confidentialityLevel;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("车辆型号（产品型号）")
    private String productModel;

    @ApiModelProperty("委托单位")
    private String entrustedUnit;

    @ApiModelProperty("委托单位地址")
    private String entrustedUnitAddress;

    @ApiModelProperty("委托单位电话")
    private String entrustedUnitPhone;

    @ApiModelProperty("委托单位邮政编码")
    private String entrustedUnitCode;

    @ApiModelProperty("整车样品信息")
    private List<TaskSampleRelation> sample;

    @ApiModelProperty("零部件样品信息")
    private List<TaskSampleRelation> partSample;

    @ApiModelProperty("选择的任务")
    List<String> taskList;

    @ApiModelProperty("选择的测试场景")
    private List<Long> testScenarioList;

    @ApiModelProperty("上传的文件")
    private List<TaskFileRelation> fileList;

}
